org.eclipse.jetty.deploy.graph

## Class Path

- java.lang.Object
- - org.eclipse.jetty.deploy.graph.Path

    public class Path
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Path()`

### Method Summary

Methods
`void` `add(Edge edge)`
`int` `edges()`
`Edge` `firstEdge()`
`Node` `firstNode()`
`Path` `forkPath()`
`Edge` `getEdge(int index)`
`List<Node>` `getEdges()`
`Node` `getNode(int index)`
`List<Node>` `getNodes()`
`boolean` `isEmpty()`
`Edge` `lastEdge()`
`Node` `lastNode()`
`int` `nodes()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Path

    public Path()

### Method Detail

#### add

    public void add(Edge edge)

#### forkPath

    public Path forkPath()

#### getNodes

    public List<Node> getNodes()

#### getEdges

    public List<Node> getEdges()

#### getNode

    public Node getNode(int index)

#### firstNode

    public Node firstNode()

#### lastNode

    public Node lastNode()

#### nodes

    public int nodes()

#### edges

    public int edges()

#### isEmpty

    public boolean isEmpty()

#### firstEdge

    public Edge firstEdge()

#### lastEdge

    public Edge lastEdge()

#### getEdge

    public Edge getEdge(int index)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`